module Tyntec
  module REST
    # messaging api section implementation
    class Messaging
      include UriHelper

      def initialize(client)
        @client = client
        @base_url = 'messaging/'

        # Versions
        @v1 = nil
      end

      def absolute_url(uri)
        build_uri(@base_url, uri)
      end

      ##
      # Version v1 of messaging
      def v1
        @v1 ||= V1.new self
      end

      def sms
        v1.sms
      end

      def request(method, uri, params)
        @client.request(method, uri, params)
      end
    end
  end
end
