module Tyntec
  module REST
    class Messaging
      # version 1 for messaging section
      class V1
        include UriHelper

        def initialize(section)
          @section = section
          @version = 'v1'
        end

        def sms
          @sms ||= SMS.new self
        end

        def absolute_url(uri)
          @section.absolute_url(relative_uri(uri))
        end

        def relative_uri(uri)
          build_uri(@version, uri)
        end

        def request(method, uri, params)
          @section.request(method, absolute_url(uri), params)
        end
      end
    end
  end
end
