module Tyntec
  module REST
    class Messaging
      class V1
        # sms api methods
        class SMS
          STATUS_KEY = 'status'.freeze
          SUCCESS_STATUS = 'ACCEPTED'.freeze

          def initialize(versioned_section)
            @versioned_section = versioned_section
            @uri = 'sms'
          end

          def send(number, message, from = nil)
            response = request(:post, to: number,
                                      from: from,
                                      message: message)

            response[STATUS_KEY] == SUCCESS_STATUS
          end

          protected

          def request(method, params)
            @versioned_section.request(method, @uri, params)
          end
        end
      end
    end
  end
end
